//** Default css **//
$bg-grey : #f7f7f7;
$main-color-active : #ffb136;
$text-default : #969696;
$text-color : #333333;
$text-normal : #666666;
$border-color : #eeeef1;
$main-yellow:#f3b722;
$active-breadcum:#f6a5c1;
$main-color: #e91e63;
$main-color-pink :brightness(0.5) sepia(1.5) hue-rotate(-70deg) saturate(5);
$lato-font : 'Lato', sans-serif;
$montserrat-font : 'Montserrat', sans-serif;

.block-product-page{
    padding: 30px 0;
    // background-color: $bg-grey;
    .block-header-search{
        .form-group{
            margin: 0;
            position: relative;
            width: 100%;
            .btn-search{
                position: absolute;
                top: 0;
                right: 0;
                bottom: 0;
                outline: none;
                box-shadow: none;
                background-color: transparent;
                border: none;
                &:hover{
                    svg{
                        path{
                            stroke: $content-color;
                        }
                    }
                }
            }
            .form-control{
                outline: none;
                box-shadow: none;
                background-color: transparent;
                border: none;
                height: 36px;
                padding: 10px 24px;
                background: #F9FAFB;
                /* border */
                border: 1px solid #E9E9E9;
                box-sizing: border-box;
                border-radius: 24px;
                &::placeholder{
                    color: $content-color-default;
                    font-family: $content-font;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: normal;
                }
                &:focus{
                    border-color: $content-color;
                }
            }
            
        }
    }
    .block-list-product{
        .heading{
            margin-bottom: 30px;
            padding-bottom: 18px;
            border-bottom: solid 1px #e5e5e5;
            display: flex;
            top: 0;
            bottom: 0;
            margin: auto;
            justify-content: space-between;
            @media only screen and (max-width: 520px) {
               display: grid;
               grid-template-columns: 100%;
               justify-content: space-between;

            }
            h1{
                font-family: $lato-font;
                color: $text-color;
                font-size: 18px;
                font-weight: 600;
                margin: 0;
                span{
                    font-family: $lato-font;
                    color: $text-default;
                    font-size: 14px;
                }
            }
        }
        .list-product{
            //  .product-box{
            //     position: relative;
            //     // padding: 12px 18px;
            //     transition: all 0.23s;
            //     margin-bottom: 30px;
            //     .hot-wrap{
            //         position: absolute;
            //         top: 15px;
            //         left: 15px;
            //         display: inline-flex;
            //         z-index: 2;
            //         .status-item{
            //             font-family: 'Roboto', sans-serif;
            //             font-style: normal;
            //             font-weight: normal;
            //             font-size: 14px;
            //             line-height: normal;
            //             letter-spacing: 0.05em;
            //             text-transform: capitalize;
            //             color: white;
            //             padding: 4px 8px;
            //             // background: #969696;
            //             // border-radius: 99999px;
            //             margin-right: 8px;
                        
            //         }
            //         .flash-hot{
            //             font-family: 'Roboto', sans-serif;
            //             font-style: normal;
            //             font-weight: bold;
            //             font-size: 14px;
            //             line-height: normal;
            //             letter-spacing: 0.05em;
            //             text-transform: uppercase;
            //             color: $main-color;
            //             padding: 4px 8px;
            //             // background: #969696;
            //             // border-radius: 99999px;
            //             margin-right: 8px;
            //         }
            //     }
            //     .thumb{
            //         position: relative;
            //         a.pd-img{
            //             display: flex;
            //             align-items: center;
            //             justify-content: center;
            //             overflow: hidden;
            //             margin-bottom: 10px;
            //             height: 323px;
            //             img{
            //                 max-height: 100%;
            //                 max-width: 100%;
            //             }
            //             @media (max-width: 480px) {
            //                 height: auto;
            //             }
            //         }
                    
            //         .btn-wish{
            //             position: absolute;
            //             top: 5px;
            //             right: 0;
            //             width: 36px;
            //             height: 36px;
            //             border: solid 1px #eeeef1;
            //             display: flex;
            //             align-items: center;
            //             justify-content: center;
            //             outline: none;
            //             box-shadow: none;
            //             padding: 0;
            //             visibility: hidden;
            //             opacity: 0;
            //         }
            //         .active{
            //             svg{
            //                 path{
            //                     // stroke: $main-color;
            //                     fill:$main-color;
            //                 }
            //             }
            //             border-color: $main-color;
            //         }
            //         .action{
            //             text-align: center;
            //             position: absolute;
            //             top: 50%;
            //             left: 50%;
            //             transform: translate(-50%, -50%);
            //             visibility: hidden;
            //             opacity: 0;
            //             .btn{
            //                 white-space: nowrap;
            //                 outline: none;
            //                 box-shadow: none;
            //                 border: none;
            //                 height: 36px;
            //                 display: inline-flex;
            //                 align-items: center;
            //                 justify-content: center;
            //                 color: white;
            //                 font-size: 14px;
            //                 font-weight: 500;
            //                 font-family: 'Roboto', sans-serif;
            //                 margin-bottom: 5px;
            //                 width: 100%;
            //             }
            //             .btn-viewmore{
            //                 a{
            //                     color: white;
            //                     font-family: 'Roboto', sans-serif;
            //                 }
                            
            //             }
            //             .btn-addcart{
            //                 background-color: white;
            //                 color: $text-color;
            //                 i{
            //                     margin-right: 5px;
            //                 }
                            
            //                 span{
            //                     border-left: 1px solid #ccc;
            //                     padding: 0 5px;
            //                     margin-left: 5px;
            //                     color: $main-color;
            //                     a{
            //                         padding: 0;
            //                         top: 0px;
            //                         bottom: 22px;
            //                         margin: auto;
            //                         width: 25px;
            //                         position: relative;
            //                         height: 25px;
            //                         svg{ 
            //                             position: relative;
            //                             // width: 35px;
            //                             padding: 0;
            //                             border-color: $main-color;
            //                         }
            //                     }
            //                 }
            //             }
            //         }
            //     }
            //     .product-content{
            //         padding: 20px 15px 15px 15px;
            //         // text-align: center;
            //         .name{
            //             a{
            //                 display: block;
            //                 line-height: 25px;
            //                 height: 50px;
            //                 overflow: hidden;
            //                 text-overflow: ellipsis;

            //                 text-decoration: none;
            //                 font-style: normal;
            //                 font-weight: normal;
            //                 font-size: 16px;
            //                 line-height: 25px;
            //                 text-transform: capitalize;
            //                 color: $text-color;
            //                 transition: all 0.25s;
            //                 &:hover{
            //                     color: $main-color;
            //                     transition: all 0.25s;
            //                 }
            //             }
            //         }
            //         .rating{
            //             // margin-bottom: 15px;
            //         }
                    
            //         .price-new{
            //             font-style: normal;
            //             font-weight: normal;
            //             font-size: 16px;
            //             line-height: normal;
            //             // text-transform: uppercase;
            //             margin-bottom: 8px;
            //         }
            //         .price-old{
            //             font-style: normal;
            //             font-weight: normal;
            //             font-size: 12px;
            //             line-height: normal;
            //             // text-transform: uppercase;
            //             color: #969696;
            //             text-decoration: line-through;
            //             margin-bottom: 8px;
            //         }
            //         .action{
            //             .btn-addcart{
            //                 margin-top: 15px;
            //                 background: #E9E9E9;
            //                 border-radius: 18px;
            //                 // font-family: $header-font;
            //                 font-style: normal;
            //                 font-weight: 600;
            //                 font-size: 14px;
            //                 line-height: normal;
            //                 text-transform: uppercase;
            //                 padding: 7px 15px;
            //                 outline: none;
            //                 box-shadow: none;
            //                 border: none;
            //                 transition: all 0.25s;
            //                 &:hover{
            //                     background-color: $main-color;
            //                     color: white;
            //                     transition: all 0.25s;
            //                 }
            //             }
            //         }
            //         .price-ctn{
            //             display: block;
            //             div{
            //                 margin-right: 5px;
            //                 display: inline-block;
            //             }
            //         }
            //     }
            //     &:hover{
            //         -webkit-box-shadow: 0px 0px 15px 0px rgba(236,236,236,1);
            //         -moz-box-shadow: 0px 0px 15px 0px rgba(236,236,236,1);
            //         box-shadow: 0px 0px 15px 0px rgba(236,236,236,1);
            //         transition: all 0.23s;
            //         .thumb{
            //             .btn-wish{
            //                 opacity: 1;
            //                 visibility: visible;
            //                 transition: all 0.23s;
            //             }
            //             .action{
            //                 opacity: 1;
            //                 visibility: visible;
            //                 transition: all 0.23s;
            //             }
            //         }
            //     }
            // }
        }
        .block-pagination{
            display: flex;
            justify-content: space-between;
            align-items: center;
            .pagination{
                margin-bottom: 0;
                li{
                    &:first-child{
                        a{
                            background-color: $main-color;
                            margin-right: 15px;
                            border-radius:50px;
                            color: white;
                        }
                    }
                    &:first-child{
                        a{
                            span{
                                background-color: transparent;
                                height: auto;
                                width: auto;
                            }
                        }
                    }
                    a{
                        background-color: white;
                        color: $text-color;
                        border-radius: 0;
                        width: 40px;
                        height: 40px;
                        border: solid 1px #ebebeb;
                        padding: 0;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                    }
                    .text{
                        background-color: white;
                        color: $text-color;
                        border-radius: 0;
                        width: auto;
                        height: 40px;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                    }
                    .next{
                        border: none;
                    }
                }
            }
            .pagin-right{
                display: grid;
                grid-template-columns: auto auto;
                grid-gap: 15px;
                @media only screen and (max-width: 520px) {
                    display: inline-block;

                }
                .count-product, .display-num{
                    top: 0;
                    bottom: 0;
                    margin: auto;
                    input{
                        input::-webkit-outer-spin-button,
                        input::-webkit-inner-spin-button {
                          -webkit-appearance: none;
                          -moz-appearance: none;
                          appearance: none;
                          margin: 0;
                        }
                    }
                }
            }
            
        }
        .floating-label{
            display: inline-flex;
            justify-content: space-between;
            border:1px solid $main-color;
            padding: 5px;
            border-radius: 30px;
            label {
                display: inline-flex;
                font-size: 16px;
                color: black;
                margin-bottom: 0;
                
                @media only screen and (max-width: 520px) {
                    font-size: 14px;
                    padding: 2px 0;
                }
            }
            input{
                outline: none;
                border: none;
                display: inline-flex;
                line-height: 1.2em;
                font-size: 16px;
                text-align: center;
                color: $main-color;
                @media only screen and (max-width: 520px) {
                    font-size: 12px;
                }
                
            }
            @media only screen and (max-width: 520px) {
                margin-top: 20px;
            }
        }
        select{
            color: #454545;
            font-size: 14px;
            padding: 3px 16px;
            border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
            cursor: pointer;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
            white-space: nowrap;
            border: none;
            background-color: transparent;
            &:focus{
                outline: none;
            }
        }
    }
}
.block-sidebar{
    @media only screen and (max-width: 520px) {
        .widget-sidebar{
                margin-bottom: 0 !important;
                .change-price{
                    padding: 10px 0 !important;
                }
        }
    }
    .widget-sidebar{
        margin-bottom: 30px;
        .widget-title{
            padding: 15px 20px;
            color: black;
            font-size: 14px;
            font-family: $lato-font;
            font-weight: 600;
            // text-transform: uppercase;
            margin: 0;
        }
        .widget-content{
            // border: solid 1px $border-color;
            padding: 0 20px;
            .menu-side{
                ul{
                    margin: 0;
                    padding: 0;
                    list-style: none;
                    li{
                        position: relative;
                        &::before{
                            content: "\f105";
                            font-family: 'Font Awesome 5 Free';
                            font-weight: 600;
                            position: absolute;
                            top: 0;
                            right: 20px;
                            bottom: 0;
                            display: flex;
                            align-items: center;
                            color: $text-default;
                            transition: all 0.23s;
                        }
                        a{
                            display: block;
                            padding: 9px 0;
                            text-decoration: none;
                            color: $text-normal;
                            font-weight: 400;
                            font-size: 14px;
                            border-bottom: solid 1px $border-color;
                            transition: all 0.25s;
                            @media (max-width: 1200px) {
                                padding: 6.5px 0;
                            }
                        }
                        .custom-check {
                            display: block;
                            position: relative;
                            padding-left: 30px;
                            margin: 10px 0;
                            color: $text-normal;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: 17px;/* identical to box height */
                            cursor: pointer;
                            text-transform: uppercase;
                            -webkit-user-select: none;
                            -moz-user-select: none;
                            -ms-user-select: none;
                            user-select: none;
                        
                            input {
                                position: absolute;
                                opacity: 0;
                                cursor: pointer;
                        
                                &:checked~.checkmark {
                                    // background-color: $main-color;
                        
                                    &:after {
                                        // background: #B9256A;
                                    }
                                }
                        
                                &:checked~.checkmark:after {
                                    display: block;
                                }
                                &:checked~span{
                                    border-color: $main-color;
                                    color: $main-color;
                                }
                            }
                        
                            /* Create a custom radio button */
                            .checkmark {
                                position: absolute;
                                top: 0;
                                left: 1px;
                                height: 16px;
                                width: 16px;
                                background-color: transparent;
                                border-radius: 2px;
                                border: 1px solid #818181;
                                box-sizing: border-box;
                                box-shadow: 0px 1px 0px rgba(22, 29, 37, 0.05);
                        
                                &:after {
                                    font-family: FontAwesome;
                                    content: "\f00c";
                                    position: absolute;
                                    display: none;
                                    top: 17%;
                                    left: 50%;
                                    transform: translate(-50%, -50%);
                                    width: 9px;
                                    height: 7px;
                                    font-size: 10px;
                                    background: transparent;
                                }
                            }
                        
                            &:hover input~.checkmark {
                                // background-color: transparent;
                            }
                        }
                        &:last-child{
                            a{
                                border-bottom: none;
                            }
                        }
                        &:hover{
                            a{
                                color: $main-color;
                                transition: all 0.23s;
                            }
                            &::before{
                                color: $main-color;
                                transition: all 0.23s;
                            }
                        }
                    }
                }
            }
            .menu-none-arrow{
                ul{
                    li{
                        &::before{
                            display: none;
                        }
                        a{
                            border: none;
                        }
                    }
                }
            }
            .change-price{
                padding: 15px 0;
                #slider-range{
                    height: 4px;
                    background-color: $border-color;
                    border: none;
                    .ui-slider-handle{
                        top: -2px;
                        background: $main-color;
                        border: none;
                        box-sizing: border-box;
                        width: 8px;
                        height: 8px;
                        margin: 0;
                        border-radius: 0;
                        outline: none;
                    }
                    .ui-widget-header{
                        background-color: $main-color;
                        border-radius: 0;
                    }
                }
                .range-slider{
                    display: inline-flex;
                    align-items: center;
                    label{
                        font-family: $lato-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 17px;
                        color: $text-color;
                        margin-bottom: 0;
                        margin-right: 3px;
                    }
                    #amount{
                        padding: 0;
                        border: none;
                        height: auto;
                        font-family: $lato-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 17px;
                        color: $text-color;
                    }
                }
                .form-change{
                    margin-top: 25px;
                    display: flex;
                    justify-content: space-between;
                    .btn-filter{
                        width: 38px;
                        height: 38px;
                        padding: 0;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        outline: none;
                        box-shadow: none;
                        background-color: $main-color;
                        color: white;
                        border-radius: 0;
                    }
                }
                .form-check {
                    .form-color{
                        margin-top: 0;
                    }
                    span {
                        display: inline-block;
                        font-family: 'Open Sans', sans-serif;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 20px;
                        color: $text-color;
                        // margin-right: 5px;
                        padding: 5px;
                        // background-color: white;
                        // border: 1px solid #E9E9E9;
                        box-sizing: border-box;
                        border-radius: 2px;
                        cursor: pointer;
                        @media only screen and (max-width: 768px) {
                            font-size: 13px;
                            padding: 5px;
                        }
                    }
                    .form-check-input {
                        display: none;
                        &:checked~span {
                            color: $main-color;
                            border: 1px solid $main-color;
                            border-radius: 50px;
                            // transition: all 0.23s;
                        }
                    }

                }
                
            }
            .list-sidenews{
                padding-top: 30px;
                .news-item{
                    font-family: $lato-font;
                    display: flex;
                    align-items: center;
                    width: 100%;
                    margin-bottom: 15px;
                    padding-bottom: 15px;
                    border-bottom: dashed 1px $border-color;
                    &:last-child{
                        border: none;
                    }
                    .news-thumb{
                        
                        margin-right: 10px;
                        img{
                            max-width: 79px;
                        }
                    }
                    .news-content{
                        .name{
                            a{
                                padding: 0;
                                text-decoration: none;
                                color: $text-color;
                                font-weight: 500;
                                font-size: 13px;
                                transition: all 0.23s;
                                &:hover{
                                    color: $main-color;
                                    transition: all 0.23s;
                                }
                            }
                        }
                        .meta{
                            display: flex;
                            justify-content: space-between;
                            color: $text-default;
                            font-size: 11px;
    
                        }
                    }
                }
            }
            
        }
        
    }
}
.block-banner-footer{
    margin: 50px 0;
    .swiper-pagination-bullet{
        background-color: #d2c4c0;
    }
    .swiper-pagination-bullet-active{
        background-color: white;
    }
    .banner-item{
        position: relative;
        .thumb{
            overflow: hidden;
            img{
                width: auto;
                height: 100%;
            }
        }
        .col-left{
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            width: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            .content{
                
                text-align: center;
                h4{
                    text-transform: uppercase;
                    font-family: $lato-font;
                    color: $main-color;
                    font-weight: 600;
                    margin-bottom: 7px;
                }
                p{
                    font-family: $lato-font;
                    color: $text-color;
                    font-weight: 600;
                    margin-bottom: 5px;
                }
                a{
                    color: $text-color;
                    text-decoration: underline;
                    transition: all 0.23s;
                    &:hover{
                        color: $main-color;
                        transition: all 0.23s;
                    }
                }
            }
        } 
    }
    
}